=== debian/changelog ===
toxiproxy (1.2.1+dfsg1-3) unstable; urgency=medium

  * Remove /var/log/toxiproxy on purge

 -- Alexandre Viau <alexandre@alexandreviau.net>  Tue, 25 Aug 2015 23:20:04 -0400

toxiproxy (1.2.1+dfsg1-2) unstable; urgency=medium

  * Don't fail during AssertDeltaTime (Closes: #795515)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Mon, 17 Aug 2015 15:05:05 -0400

toxiproxy (1.2.1+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #794889)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Thu, 06 Aug 2015 13:11:26 -0400
