=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

TMP     = $(CURDIR)/debian/$(PACKAGE)

export DH_GOPKG := github.com/Shopify/toxiproxy

%:
	dh $@ --buildsystem=golang --with=golang,systemd
