=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/toxiproxy-$1\.tar\.gz/,repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// \
  https://github.com/Shopify/toxiproxy/tags .*/v([\d\.]*)\.tar\.gz
