=== debian/changelog ===
toxiproxy (2.0.0+dfsg1-6) unstable; urgency=medium

  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:03:39 -0500

toxiproxy (2.0.0+dfsg1-5) unstable; urgency=medium

  * point vcs-* urls to packages subgroup.

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 15:19:53 -0500

toxiproxy (2.0.0+dfsg1-4) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Remove Built-Using from arch:all -dev package

  [ Alexandre Viau ]
  * Move to salsa.debian.org

 -- Alexandre Viau <aviau@debian.org>  Tue, 08 Aug 2017 22:44:40 -0400

toxiproxy (2.0.0+dfsg1-3) unstable; urgency=medium

  * Depend on new packages (Closes: #828767)

 -- Alexandre Viau <aviau@debian.org>  Thu, 30 Jun 2016 14:12:28 +0200

toxiproxy (2.0.0+dfsg1-2) unstable; urgency=medium

  * Depend on new packages (Closes: #828767):
    - golang-mux-dev -> golang-github-gorilla-mux-dev
    - golang-logrus-dev -> golang-github-sirupsen-logrus-dev

 -- Alexandre Viau <aviau@debian.org>  Tue, 28 Jun 2016 20:40:50 +0200

toxiproxy (2.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 3.9.8
  * Change Vcs-Git and Vcs-Browser to secure (https) URLs
  * Switch to using XS-Go-Import-Path
  * Refresh dont-fail-time-delta.patch
  * Create new toxiproxy-cli binary package
  * Change my email to @debian.org
  * Create toxiproxy-cli manpage

 -- Alexandre Viau <aviau@debian.org>  Sun, 26 Jun 2016 13:55:37 +0200
