=== debian/control ===
--- 
+++ 
@@ -2,27 +2,30 @@
 Section: net
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Alexandre Viau <alexandre@alexandreviau.net>
+Uploaders: Alexandre Viau <aviau@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
+               dh-exec,
                dh-golang,
                dh-systemd,
                golang-go,
                golang-gopkg-tomb.v1-dev,
-               golang-mux-dev | golang-github-gorilla-mux-dev,
-               golang-logrus-dev | golang-github-sirupsen-logrus-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/toxiproxy.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/toxiproxy.git
+               golang-github-gorilla-mux-dev,
+               golang-github-codegangsta-cli-dev,
+               golang-github-sirupsen-logrus-dev
+Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/go-team/packages/toxiproxy.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/toxiproxy
 Homepage: https://github.com/Shopify/toxiproxy
+XS-Go-Import-Path: github.com/Shopify/toxiproxy
 
 Package: toxiproxy-dev
 Architecture: all
 Section: devel
 Depends: ${misc:Depends},
          golang-gopkg-tomb.v1-dev,
-         golang-mux-dev | golang-github-gorilla-mux-dev,
-         golang-logrus-dev | golang-github-sirupsen-logrus-dev
-Built-Using: ${misc:Built-Using}
+         golang-github-gorilla-mux-dev,
+         golang-github-codegangsta-cli-dev,
+         golang-github-sirupsen-logrus-dev
 Description: proxy to simulate network and system conditions - dev package
  Toxiproxy is a framework for simulating network conditions. It's made
  specifically to work in testing, CI and development environments,
@@ -44,3 +47,19 @@
  supporting deterministic tampering with connections, but with support
  for randomized chaos and customization. Toxiproxy is the tool you need
  to prove with tests that your application doesn't have single points of failure
+ .
+ This package contains the server.
+
+Package: toxiproxy-cli
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Built-Using: ${misc:Built-Using}
+Description: proxy to simulate network and system conditions - CLI
+ Toxiproxy is a framework for simulating network conditions. It's made
+ specifically to work in testing, CI and development environments,
+ supporting deterministic tampering with connections, but with support
+ for randomized chaos and customization. Toxiproxy is the tool you need
+ to prove with tests that your application doesn't have single points of failure
+ .
+ This package contains the command-line interface.
